# Class SelectChallengePhase

#### Hierarchy (view full)

- Phase
  - SelectChallengePhase

- Defined in src/phases.ts:519

#####
Index

### Constructors

constructor

### Properties

scene

### Methods

end
start

## Constructors

### constructor

- new SelectChallengePhase(scene): SelectChallengePhase

- #### Parameters

  - scene: default

  #### Returns SelectChallengePhase

  Overrides Phase.constructor

  - Defined in src/phases.ts:520

## Properties

### `Protected` scene

scene: default

Inherited from Phase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:17

### start

- start(): void

- #### Returns void

  Overrides Phase.start

  - Defined in src/phases.ts:524